**************************************************************************************************
*****	Measuring Poverty in Tanzania: Comparison of Diary and Recall Approaches to Food	******
*****			 Consumption Data Collection - WB PRWP Series							    ******
***** 	 This is the first of a series of files to be run before the table output files	    ******
****************************************** GLOBALS ***********************************************

	//	Setup Globals

			global base	  "C:\WBG\github\174\PRWP Reproducibility Package - 07.25.24"	
		
			
sysdir set PLUS "${base}\ado"
set varabbrev on

	//	Specific Directories
		global data		"$base\Data"
		global tables	"$base\Tables"
		global dofiles	"$base\Dofiles"
			
			
/* Checking and installing packages:
		local packages mmerge stripplot joy_plot cdfplot labvalch3 lorenz tabstatmat outreg2
			foreach package in `packages' {
				capture which `package'
				if _rc == 111 {
				ssc install `package'
				}
			}

	/*	Run the Following to Install Specific Ado-files for Generating Figure 2. Where necessary, run them individually
		set more off
		qui capture which cdf
		qui if _rc!=0 {
			noisily di "This command requires the cdf package. The package will now be downloaded and installed."
			net from ("http://dasp.ecn.ulaval.ca/dasp3")
			net install dasp_p1, force
			net install dasp_p2, force
			net install dasp_p3, force
			net install dasp_p4, force
			net install dasp_p5, force
			net install dasp_p6, force
			cap adddmenu profile.do _daspmenu
			cap add_data_examples
			}
		*/	
			
			net install dasp_p1, from ("http://dasp.ecn.ulaval.ca/dasp3")
			net install dasp_p2, from ("http://dasp.ecn.ulaval.ca/dasp3")
			net install dasp_p3, from ("http://dasp.ecn.ulaval.ca/dasp3")
			net install dasp_p4, from ("http://dasp.ecn.ulaval.ca/dasp3")
			net install dasp_p5, from ("http://dasp.ecn.ulaval.ca/dasp3")
			net install dasp_p6,from ("http://dasp.ecn.ulaval.ca/dasp3")
			cap adddmenu profile.do _daspmenu
			cap add_data_examples
			
*/
	//	Set the use of variable name abbreviations
		set varabbrev on
		
	//	Set Stata Version Requirements
		set more off
		version 12.1
		pause off	
		capture set max_memory 500M /* for stata 12 */
		capture set mem 500M		
		
************************************************************************
		capture log close
