{smcl}
{* August 2021}{...}
{hline}
{hi:DASP 3.0 : Distributive Analysis Stata Package}{right:{bf:PEP}}
help for {hi:efgtgro }{right:Dialog box:  {bf:{dialog efgtgro}}}
{hline}

{title:Description}
{p 8 8} The module {cmd:efgtgro} estimates the FGT semi-elasticity and elasticity with respect to growth.  The user can select among the following approaches to perform the estimation: {p_end}
{p 4 8}{inp:[1] Analytical;}{p_end}
{p 4 8}{inp:[2] Simulated -counterfactual-;}{p_end}
{p 4 8}{inp:[3] Parametrized (Log normal distribution of incomes);}{p_end}
{p 4 8}{inp:[4] Numerical (Kernel density estimation).}{p_end}

{p 4 8} For more details, consult the following reference: {p_end}

{p 4 4 2} Araar Abdelkrim (2012). {browse "https://www.dasp.cstip.ulaval.ca/efgtgi/Elas_Paper_Araar.pdf":Expected poverty changes with economic growth and redistribution}, Mimeo, Université Laval. {p_end}


{title:Syntax}
{p 8 10}{cmd:efgtgro}  {it:varlist}  {cmd:,} [ 
{cmd:HSize(}{it:varname}{cmd:)} 
{cmd:HGroup(}{it:varname}{cmd:)} 
{cmd:PLine(}{it:real}{cmd:)}  
{cmd:ALpha(}{it:real}{cmd:)} 
{cmd:EST(}{it:string}{cmd:)} 
{cmd:APPR(}{it:string}{cmd:)} 
{cmd:PERC(}{it:real}{cmd:)} 
{cmd:DEC(}{it:int}{cmd:)} 
{cmd:MIN(}{it:real}{cmd:)} 
{cmd:MAX(}{it:real}{cmd:)}  
{cmd:LRES(}{it:int}{cmd:)} 
{cmd:SRES(}{it:string}{cmd:)}
{cmd:DGRA(}{it:string}{cmd:)} 
{cmd:SGRA(}{it:string}{cmd:)} 
{cmd:EGRA(}{it:string}{cmd:)}
]
 

{p}where {p_end}
{p 8 8} {cmd:varlist} Living standards (e.g., income or consumption). {p_end}


{title:Version} 15.0 and higher.

{title:Remark}
 {p} Users should set their surveys' sampling design before using this module 
 (and save their data files). If the sampling design is not set, simple-random sampling (SRS) will be automatically assigned 
by default.
{p_end}


{title:Options}

{p 0 4} {cmdab:hsize}        Household size. For example, to compute poverty at the individual level, one will want to weight household-level observations by household size (in addition to sampling weights, best set in survey design). {p_end}

{p 0 4} {cmdab:hgroup}       Variable that captures the socio-demographic group to be used in the decomposition. For example, for an urban-rural decomposition of poverty, this variable could equal 1 for rural households and 2 for urban ones. The associated varlist should contain only one variable. {p_end}

{p 0 4} {cmdab:alpha}         To set the FGT parameter (alpha). By default, alpha=0.   {p_end}

{p 0 4} {cmdab:pline}        To set the poverty line. {p_end}

{p 0 4} {cmdab:perc}          Percentage of change in average income (by default 1%). {p_end}

{p 0 4} {cmdab:dec}          To set the number of decimals used in the display of results. {p_end}

{p 0 4} {cmdab:appr}          To select the approach of estimation. {p_end}

{p 4 8}{inp:(analytic) Analytical;}{p_end}
{p 4 8}{inp:(simulated) Simulated -counterfactual-;}{p_end}
{p 4 8}{inp:(lnmodel) Parametrized (Log normal distribution of incomes);}{p_end}
{p 4 8}{inp:(numeric) Numerical (Kernel density estimation);}{p_end}
{p 4 8}{inp:(all) To estimate for each of the foor approaches).}{p_end}

{p 0 4} {cmdab:min}    To indicate the minimum range of the change (in percentage). {p_end}
 
{p 0 4} {cmdab:max}    To indicate the maximum range the change (in percentage). {p_end}
 
{p 0 4} {cmdab:lres}    If option "1" is selected, the (x,y) coordinates of the curves are listed. {p_end}

{p 0 4} {cmdab:sres}    To save the coordinates of the curves in a Stata file, indicate the name of that file using this option. {p_end}

{p 0 4} {cmdab:dgra}    If option "0" is selected, the graph is not displayed. By default, the graph is displayed. {p_end}

{p 0 4} {cmdab:sgra}    To save the graph in Stata format (*.gph), indicate the name of the graph file using this option. {p_end}

{p 0 4} {cmdab:egra}    To export the graph in an EPS or WMF format, indicate the name of the graph file using this option. {p_end}


{title:Reference(s)}

{p 4 4 2} Araar, A. (2012) {browse "https://papers.ssrn.com/sol3/papers.cfm?abstract_id=2042163&download=yes":Expected poverty changes with economic growth and redistribution}, CIRPEE Working Paper, Université Laval. {p_end}
{p 4 4 2} Bourguignon, F. (2002) "The growth elasticity of poverty reduction : explaining heterogeneity across countries and time periods", Tech. rep. . {p_end}
{p 4 4 2} Kakwani, N. (1993) "Poverty and economic growth with application to Côte D’Ivoire", Review of Income and Wealth, 39(2): 121:139. {p_end}

{title:Examples}

sysuse Nigeria_2004I, replace
efgtgro income, hgroup(sector) hsize(hhsize) alpha(0) pline(10000) appr(all) est(elas) 

{title:Authors}
Abdelkrim Araar
Jean-Yves Duclos


{title:Contact}
If you note any problems, please contact {bf:Abdelkrim Araar:} {browse "mailto:aabd@ecn.ulaval.ca"}



